> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /konturfocus/companies/search

> Search Russian companies and sole proprietors by name, INN, OGRN, address or person name. Optionally filter by region, industry and whether the match is in actual (current) requisites only.

**Price:** 5 credits per 10 results



## OpenAPI

````yaml /openapi/company-registries.json post /api/konturfocus/companies/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/konturfocus/companies/search:
    post:
      tags:
        - /konturfocus
      summary: /konturfocus/companies/search
      description: >-
        Search Russian companies and sole proprietors by name, INN, OGRN,
        address or person name. Optionally filter by region, industry and
        whether the match is in actual (current) requisites only.


        **Price:** 5 credits per 10 results
      operationId: __api_konturfocus_companies_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/KonturfocusSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/KonturfocusSearchResult'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    KonturfocusSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        query:
          type: string
          minLength: 1
        count:
          type: integer
          minimum: 1
        region:
          anyOf:
            - $ref: '#/components/schemas/KonturfocusRegion'
            - type: 'null'
        industry:
          anyOf:
            - $ref: '#/components/schemas/KonturfocusIndustry'
            - type: 'null'
        data_status:
          $ref: '#/components/schemas/KonturfocusDataStatus'
          default: any
      type: object
      required:
        - query
        - count
    KonturfocusSearchResult:
      properties:
        '@type':
          type: string
          default: KonturfocusSearchResult
        id:
          type: string
        ogrn:
          type: string
        inn:
          anyOf:
            - type: string
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
        raw_name:
          anyOf:
            - type: string
            - type: 'null'
        reg_date:
          anyOf:
            - type: string
            - type: 'null'
        main_activity:
          anyOf:
            - type: string
            - type: 'null'
        address:
          anyOf:
            - type: string
            - type: 'null'
        url:
          type: string
      type: object
      required:
        - id
        - ogrn
        - url
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    KonturfocusRegion:
      type: string
      enum:
        - '01'
        - '04'
        - '22'
        - '28'
        - '29'
        - '30'
        - '99'
        - '02'
        - '31'
        - '32'
        - '03'
        - '33'
        - '34'
        - '35'
        - '36'
        - '05'
        - '93'
        - '79'
        - '75'
        - '90'
        - '37'
        - '06'
        - '38'
        - '07'
        - '39'
        - '08'
        - '40'
        - '41'
        - '09'
        - '10'
        - '42'
        - '43'
        - '11'
        - '44'
        - '23'
        - '24'
        - '91'
        - '45'
        - '46'
        - '47'
        - '48'
        - '94'
        - '49'
        - '12'
        - '13'
        - '77'
        - '50'
        - '51'
        - '83'
        - '52'
        - '53'
        - '54'
        - '55'
        - '56'
        - '57'
        - '58'
        - '59'
        - '25'
        - '60'
        - '61'
        - '62'
        - '63'
        - '78'
        - '64'
        - '14'
        - '65'
        - '66'
        - '92'
        - '15'
        - '67'
        - '26'
        - '68'
        - '16'
        - '69'
        - '70'
        - '71'
        - '17'
        - '72'
        - '18'
        - '73'
        - '27'
        - '19'
        - '86'
        - '95'
        - '74'
        - '20'
        - '21'
        - '87'
        - '89'
        - '76'
    KonturfocusIndustry:
      type: string
      enum:
        - sS
        - sT
        - sM
        - sI
        - sF
        - sZ
        - sE
        - sK
        - sG
        - sO
        - cT
        - cT1
        - cT2
        - cT3
        - cT4
        - cU
        - cU1
        - cU2
        - cU3
        - cU4
        - cU5
        - cU6
        - cU7
        - cU8
        - cU9
        - cU10
        - cP
        - cP1
        - cP2
        - cP3
        - cP4
        - cP5
        - cP6
        - cP7
        - cP8
        - cP9
        - cP10
        - cP11
    KonturfocusDataStatus:
      type: string
      enum:
        - any
        - Actual
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````